import request from '@/utils/request'
import config from '@/utils/config'
export function getPackageSelect() {
  return request({
    url: config.BASE_URL + '/getPackageSelect',
    method: 'get'
  })
}
export function getCouponbatchs(query) {
  return request({
    url: config.BASE_URL + '/getCouponbatchs',
    method: 'get',
    params: query
  })
}
export function getQCouponBatch(query) {
  return request({
    url: config.BASE_URL + '/getQCouponBatch',
    method: 'POST',
    params: query
  })
}
export function addCouponBatch(query) {
  return request({
    url: config.BASE_URL + '/addCouponBatch',
    method: 'POST',
    params: query
  })
}
export function deleteCouponBatch(query) {
  return request({
    url: config.BASE_URL + '/deleteCouponBatch',
    method: 'get',
    params: query
  })
}
export function getCouponBatch(query) {
  return request({
    url: config.BASE_URL + '/getCouponBatch',
    method: 'get',
    params: query
  })
}
export function updateCouponBatch(query) {
  return request({
    url: config.BASE_URL + '/updateCouponBatch',
    method: 'POST',
    params: query
  })
}
export function getQCouponCreate(query) {
  return request({
    url: config.BASE_URL + '/getQCouponCreate',
    method: 'POST',
    params: query
  })
}
export function getCouponCreates(query) {
  return request({
    url: config.BASE_URL + '/getCouponCreates',
    method: 'get',
    params: query
  })
}
export function selectCouponBatch() {
  return request({
    url: config.BASE_URL + '/selectCouponBatch',
    method: 'get'
  })
}
export function addCouponCreate(query) {
  return request({
    url: config.BASE_URL + '/addCouponCreate',
    method: 'post',
    params: query
  })
}
export function disableCouponCreate(query) {
  return request({
    url: config.BASE_URL + '/disableCouponCreate',
    method: 'get',
    params: query
  })
}
export function enableCouponCreate(query) {
  return request({
    url: config.BASE_URL + '/enableCouponCreate',
    method: 'get',
    params: query
  })
}
export function checkCouponBatchid(query) {
  return request({
    url: config.BASE_URL + '/checkCouponBatchid',
    method: 'get',
    params: query
  })
}
export function getCustomerCoupons(query) {
  return request({
    url: config.BASE_URL + '/getCustomerCoupons',
    method: 'post',
    params: query
  })
}
export function getCouponSum(query) {
  return request({
    url: config.BASE_URL + '/getCouponSum',
    method: 'post',
    params: query
  })
}
export function CustomerUseCoupon(query) {
  return request({
    url: config.BASE_URL + '/CustomerUseCoupon',
    method: 'post',
    params: query
  })
}
export function queryCollegeCoupon(query) {
  return request({
    url: config.BASE_URL + '/queryCollegeCoupon',
    method: 'get'
  })
}
